All times are UTC+02:00




Post new topic  Reply to topic  [ 3 posts ] 
Author Message
PostPosted: Tue Jun 29, 2021 11:40 pm 

Joined: Sat Nov 21, 2020 12:45 am
Posts: 4
Hello!

I tried searching for my issue but haven't found anyone quite as stuck. I'm currently experimenting with a Raspberry Pi 4 and a HiFiBerry sound card. I'm also using JACK so I can route audio between applications. Unfortunately, I cannot seem to get Stereo Tool to start at all, it immediately fails with a segmentation fault.
Code:
pi@raspberrypi:~/Downloads $ ./stereo_tool_gui_jack_pi2.1 
Thimeo Stereo Tool 9.70 (for Linux with Jack) (C) Thimeo Audio Technology, 2001-2020
jack_client_new: deprecated
Segmentation fault
My JACK server and QJackCtl are running, so I don't think it's a problem there. The ALSA version seems to run just fine, but obviously cannot interface with JACK.

Please let me know what else I can post to help diagnose this issue.

Thanks!
Jake


Top
   
PostPosted: Wed Jun 30, 2021 6:00 pm 

Joined: Sat Nov 21, 2020 12:45 am
Posts: 4
Just wanted to post an update here -- I worked my way backwards through versions of Stereo Tool, one at a time. Version 9.62 still works, everything beyond that immediately seg faults on my Pi4 with the HiFiBerry HAT installed.
Code:
$ uname -a
Linux raspberrypi 5.4.51-v7l+ #1333 SMP Mon Aug 10 16:51:40 BST 2020 armv7l GNU/Linux


Top
   
PostPosted: Wed Sep 08, 2021 7:15 pm 

Joined: Thu Jan 28, 2021 6:50 pm
Posts: 5
Can you check which version of JACK you are running? Stereotool seems to be compatible with Jack1 but not with Jack2.


Top
   
Display posts from previous:  Sort by  
Post new topic  Reply to topic  [ 3 posts ] 

All times are UTC+02:00


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Limited